"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var api_1 = require("../../api");
var defaultEvents = ['mousedown', 'touchstart'];
function useClickAway(element, onClickAway, events) {
    if (events === void 0) { events = defaultEvents; }
    var handler = function (e) {
        if (element.value && !element.value.contains(e.target)) {
            onClickAway(e);
        }
    };
    api_1.onMounted(function () {
        events.forEach(function (evtName) { return document.addEventListener(evtName, handler); });
    });
    api_1.onUnmounted(function () {
        events.forEach(function (evtName) { return document.removeEventListener(evtName, handler); });
    });
}
exports.useClickAway = useClickAway;
